Article ID: 123385, created on Nov 3, 2014, last review on Jul 5, 2016

  • Applies to:
  • Plesk Automation 11.5


ASP.NET 2.0 is not available in the Hosting Settings for my domains, there is only ASP.NET 4.0. How can I enable it?


In Windows 2012 the ASP.NET 2.0 and 3.0 are included in the .NET 3.5, so in order to be able to manage ASP version in domain 'Hosting Settings' you should apply following steps:

  1. Ensure that .NET Framework 3.5 Features are installed

  2. Open Add Roles and Features Wizard and add additional Server Role:

    Web Server IISApplication DevelopmentASP.NET 3.5

  3. Go to PPA Control Panel > Service Nodes > Service Node and press Refresh to detect 'ASP.NET 2.0'

  4. Verify that ASP.NET 2.0 is shown in Hosting Settings.

The details about ASP.NET versions supported by PA are available in Release Notes

Search Words

ASP.NET on Windows Server 2012R2

How to install ASP.NET on Windows Server 2012

change ASP.NET version

ASP.NET Version 4.5

33a70544d00d562bbc5b17762c4ed2b3 caea8340e2d186a540518d08602aa065 e0aff7830fa22f92062ee4db78133079

Email subscription for changes to this article
Save as PDF